## chromaprint 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

if(POLICY CMP0042)
	cmake_policy(SET CMP0042 NEW)
endif()

if(POLICY CMP0048)
    cmake_policy(SET CMP0048 OLD)
endif()

project(chromaprint C CXX)

set(chromaprint_VERSION_MAJOR 1)
set(chromaprint_VERSION_MINOR 4)
set(chromaprint_VERSION_PATCH 1)
set(chromaprint_VERSION "${chromaprint_VERSION_MAJOR}.${chromaprint_VERSION_MINOR}.${chromaprint_VERSION_PATCH}")

set(PROJECT_VERSION "${chromaprint_VERSION}")

set(chromaprint_SOVERSION 1)

set(AUDIO_PROCESSOR_LIB CACHE STRING "Library to use for audio processing")
set_property(CACHE AUDIO_PROCESSOR_LIB PROPERTY STRINGS avresample swresample)

set(FFT_LIB CACHE STRING "Library to use for FFT calculations")
set_property(CACHE FFT_LIB PROPERTY STRINGS avfft fftw3 fftw3f kissfft vdsp)

include(CMakePushCheckState)
include(CheckFunctionExists)
include(CheckCXXCompilerFlag)

find_package(Threads)

check_cxx_compiler_flag("-std=c++11" COMPILER_SUPPORTS_CXX11)
if(COMPILER_SUPPORTS_CXX11)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

if(CMAKE_COMPILER_IS_GNUCXX AND BUILD_SHARED_LIBS)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
endif()

cmake_push_check_state(RESET)
set(CMAKE_REQUIRED_LIBRARIES -lm)
check_function_exists(lrintf HAVE_LRINTF)
check_function_exists(round HAVE_ROUND)
cmake_pop_check_state()

add_definitions(
	-DHAVE_CONFIG_H
	-D_SCL_SECURE_NO_WARNINGS
	-D_USE_MATH_DEFINES
	-D__STDC_LIMIT_MACROS
	-D__STDC_CONSTANT_MACROS
)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
set(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
set(BIN_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/bin CACHE PATH "Installation prefix for user executables" FORCE)
set(LIB_INSTALL_DIR ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH  "Installation prefix for object code libraries" FORCE)
set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include CACHE PATH "Installation prefix for C header files" FORCE)

if(APPLE)
	option(BUILD_FRAMEWORK "Build an OS X framework" OFF)
	set(FRAMEWORK_INSTALL_DIR "/Library/Frameworks" CACHE STRING "Directory to install frameworks to")
endif()

option(BUILD_SHARED_LIBS "Build shared libraries" ON)
option(BUILD_TOOLS "Build command line tools" OFF)
option(BUILD_TESTS "Build test suite" OFF)

if(CMAKE_COMPILER_IS_GNUCXX)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
endif()

if(NOT BUILD_SHARED_LIBS)
	add_definitions(-DCHROMAPRINT_NODLL)
endif()

set(TESTS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tests/)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(FFmpeg)

if(FFMPEG_LIBRARIES)
	cmake_push_check_state(RESET)
	set(CMAKE_REQUIRED_LIBRARIES ${FFMPEG_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} -lm)
	check_function_exists(av_packet_unref HAVE_AV_PACKET_UNREF)
	check_function_exists(av_frame_alloc HAVE_AV_FRAME_ALLOC)
	check_function_exists(av_frame_free HAVE_AV_FRAME_FREE)
	cmake_pop_check_state()
endif()

if(NOT FFT_LIB OR FFT_LIB STREQUAL "fftw3" OR FFT_LIB STREQUAL "fftw3f")
	find_package(FFTW3)
endif()

if(APPLE)
	if(NOT FFT_LIB OR FFT_LIB STREQUAL "vdsp")
		find_library(ACCELERATE_LIBRARIES Accelerate)
	endif()
endif()

if(NOT FFT_LIB OR FFT_LIB STREQUAL "kissfft")
	find_package(KissFFT)
endif()

set(USE_VDSP OFF)
set(USE_AVFFT OFF)
set(USE_FFTW3 OFF)
set(USE_FFTW3F OFF)
set(USE_KISSFFT OFF)

if(NOT FFT_LIB)
	if(APPLE AND ACCELERATE_LIBRARIES)
		set(FFT_LIB "vdsp")
	elseif(FFMPEG_LIBAVCODEC_FFT_FOUND)
		set(FFT_LIB "avfft")
	elseif(FFTW3_LIBRARIES)
		set(FFT_LIB "fftw3")
	elseif(FFTW3_FFTWF_LIBRARY)
		set(FFT_LIB "fftw3f")
	elseif(KISSFFT_FOUND)
		set(FFT_LIB "kissfft")
	endif()
endif()

if(FFT_LIB STREQUAL "vdsp")
	if(ACCELERATE_LIBRARIES)
		set(USE_VDSP ON)
	else()
		message(FATAL_ERROR "Selected ${FFT_LIB} for FFT calculations, but the library is not found")
	endif()
elseif(FFT_LIB STREQUAL "avfft")
	if(FFMPEG_LIBAVCODEC_FFT_FOUND)
		set(USE_AVFFT ON)
	else()
		message(FATAL_ERROR "Selected ${FFT_LIB} for FFT calculations, but the library is not found")
	endif()
elseif(FFT_LIB STREQUAL "fftw3")
	if(FFTW3_LIBRARIES)
		set(USE_FFTW3 ON)
	else()
		message(FATAL_ERROR "Selected ${FFT_LIB} for FFT calculations, but the library is not found")
	endif()
elseif(FFT_LIB STREQUAL "fftw3f")
	if(FFTW3_FFTWF_LIBRARY)
		set(USE_FFTW3F ON)
	else()
		message(FATAL_ERROR "Selected ${FFT_LIB} for FFT calculations, but the library is not found")
	endif()
elseif(FFT_LIB STREQUAL "kissfft")
	if(KISSFFT_FOUND)
		set(USE_KISSFFT ON)
	else()
		message(FATAL_ERROR "Selected ${FFT_LIB} for FFT calculations, but the library is not found")
	endif()
else()
	message(FATAL_ERROR "No FFT library found")
endif()

message(STATUS "Using ${FFT_LIB} for FFT calculations")

if(NOT AUDIO_PROCESSOR_LIB)
	if(FFMPEG_LIBSWRESAMPLE_FOUND)
		set(AUDIO_PROCESSOR_LIB "swresample")
	elseif(FFMPEG_LIBAVRESAMPLE_FOUND)
		set(AUDIO_PROCESSOR_LIB "avresample")
	endif()
endif()

if(AUDIO_PROCESSOR_LIB STREQUAL "swresample")
	if(FFMPEG_LIBSWRESAMPLE_FOUND)
		set(USE_AVRESAMPLE OFF)
		set(USE_SWRESAMPLE ON)
		set(AUDIO_PROCESSOR_LIBRARIES ${FFMPEG_LIBSWRESAMPLE_LIBRARIES})
		set(AUDIO_PROCESSOR_INCLUDE_DIRS ${FFMPEG_LIBSWRESAMPLE_INCLUDE_DIRS})
	else()
		message(FATAL_ERROR "Selected ${AUDIO_PROCESSOR_LIB} for audio processing, but the library is not found")
	endif()
	message(STATUS "Using ${AUDIO_PROCESSOR_LIB} for audio conversion")
elseif(AUDIO_PROCESSOR_LIB STREQUAL "avresample")
	if(FFMPEG_LIBAVRESAMPLE_FOUND)
		set(USE_AVRESAMPLE ON)
		set(USE_SWRESAMPLE OFF)
		set(AUDIO_PROCESSOR_LIBRARIES ${FFMPEG_LIBAVRESAMPLE_LIBRARIES})
		set(AUDIO_PROCESSOR_INCLUDE_DIRS ${FFMPEG_LIBAVRESAMPLE_INCLUDE_DIRS})
	else()
		message(FATAL_ERROR "Selected ${AUDIO_PROCESSOR_LIB} for audio processing, but the library is not found")
	endif()
	message(STATUS "Using ${AUDIO_PROCESSOR_LIB} for audio conversion")
else()
	message(STATUS "Building without audio conversion support, please install FFmpeg with libswresample")
endif()

if(NOT BUILD_FRAMEWORK)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libchromaprint.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libchromaprint.pc)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libchromaprint.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/src)
add_definitions(
	-DHAVE_CONFIG_H
	-D_SCL_SECURE_NO_WARNINGS
	-D_USE_MATH_DEFINES
	-D__STDC_LIMIT_MACROS
	-D__STDC_CONSTANT_MACROS
)

if(UNIX)
	link_libraries(m)
endif()

add_subdirectory(src)

if(BUILD_TESTS)
	add_subdirectory(tests)
endif(BUILD_TESTS)

configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY)

add_custom_target(uninstall
	COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.cmake" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile")
add_custom_target(docs doxygen)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(chromaprint_SOURCES
	audio_processor.cpp
	chroma.cpp
	chroma_resampler.cpp
	chroma_filter.cpp
	spectrum.cpp
	fft.cpp
	fingerprinter.cpp
	image_builder.cpp
	simhash.h
	simhash.cpp
	silence_remover.cpp
	fingerprint_calculator.cpp
	fingerprint_compressor.cpp
	fingerprint_decompressor.cpp
	fingerprinter_configuration.cpp
	fingerprint_matcher.h
	fingerprint_matcher.cpp
	utils/base64.h
	utils/base64.cpp
	utils/gradient.h
	utils/gaussian_filter.h
	utils/scope_exit.h
	utils/rolling_integral_image.h
	audio/audio_slicer.h
	avresample/resample2.c
)

set(chromaprint_PUBLIC_SOURCES chromaprint.cpp)
set(chromaprint_PUBLIC_HEADERS chromaprint.h)

if(USE_AVFFT)
	set(chromaprint_SOURCES fft_lib_avfft.cpp ${chromaprint_SOURCES})
	set(chromaprint_LINK_LIBS
		${FFMPEG_LIBAVCODEC_LIBRARIES}
		${FFMPEG_LIBAVFORMAT_LIBRARIES}
		${FFMPEG_LIBAVUTIL_LIBRARIES}
	)
	include_directories(
		${FFMPEG_LIBAVCODEC_INCLUDE_DIRS}
		${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}
		${FFMPEG_LIBAVUTIL_INCLUDE_DIRS}
	)
endif(USE_AVFFT)

if(USE_FFTW3)
	set(chromaprint_SOURCES fft_lib_fftw3.cpp ${chromaprint_SOURCES})
	set(chromaprint_LINK_LIBS ${FFTW3_LIBRARIES})
	include_directories(${FFTW3_INCLUDE_DIR})
endif(USE_FFTW3)

if(USE_FFTW3F)
	set(chromaprint_SOURCES fft_lib_fftw3.cpp ${chromaprint_SOURCES})
	set(chromaprint_LINK_LIBS ${FFTW3_FFTWF_LIBRARY})
	include_directories(${FFTW3_INCLUDE_DIR})
endif(USE_FFTW3F)

if(USE_VDSP)
	set(chromaprint_SOURCES fft_lib_vdsp.cpp ${chromaprint_SOURCES})
	set(chromaprint_LINK_LIBS ${ACCELERATE_LIBRARIES})
endif()

if(USE_KISSFFT)
	set(chromaprint_SOURCES fft_lib_kissfft.cpp ${chromaprint_SOURCES} ${KISSFFT_SOURCES})
	include_directories(${KISSFFT_INCLUDE_DIRS})
endif()

set(chromaprint_LINK_LIBS ${chromaprint_LINK_LIBS} ${AUDIO_PROCESSOR_LIBRARIES})
include_directories(${AUDIO_PROCESSOR_INCLUDE_DIRS})

add_library(chromaprint_objs OBJECT ${chromaprint_SOURCES})
if(BUILD_SHARED_LIBS)
	set_target_properties(chromaprint_objs PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
endif()

add_library(chromaprint ${chromaprint_PUBLIC_SOURCES} ${chromaprint_PUBLIC_HEADERS} $<TARGET_OBJECTS:chromaprint_objs>)
set_target_properties(chromaprint PROPERTIES
	DEFINE_SYMBOL CHROMAPRINT_API_EXPORTS
	PUBLIC_HEADER ${chromaprint_PUBLIC_HEADERS}
    VERSION ${chromaprint_VERSION}
    SOVERSION ${chromaprint_SOVERSION}
)
if(BUILD_FRAMEWORK)
	set_target_properties(chromaprint PROPERTIES FRAMEWORK TRUE)
endif()
target_link_libraries(chromaprint ${chromaprint_LINK_LIBS})

install(TARGETS chromaprint
	FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
	LIBRARY DESTINATION ${LIB_INSTALL_DIR}
	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
	ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
	PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR}
)

if(BUILD_TOOLS)
	add_subdirectory(cmd)
endif()

=== debian/changelog ===
chromaprint (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Update copyright information
  * debian/rules: Update build flags for new upstream release.
  * debian/{control,compat,rules}: Bump debhelper compat to 10.
  * debian/control: Update build dependencies for new upstream release:
    - Add libswresample-dev.
    - Remove libavresample-dev and libfftw3-dev.
  * debian/libchromaprint1.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Dec 2016 22:02:06 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# export DH_VERBOSE=1

CONFIGURE_FLAGS  = -DBUILD_TOOLS=ON
CONFIGURE_FLAGS += -DBUILD_SHARED_LIBS=ON
CONFIGURE_FLAGS += -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

# FIXME the tests currently can't run with a out-of-source build
# TODO: patch the build system to build libgtest and fix the out-of-source
# problem.
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#CONFIGURE_FLAGS += -DBUILD_TESTS=ON
#endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_installman:
	rst2man debian/fpcalc.rst > debian/fpcalc.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

## chromaprint 1.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set(chromaprint_VERSION_MAJOR 1)
 set(chromaprint_VERSION_MINOR 4)
-set(chromaprint_VERSION_PATCH 1)
+set(chromaprint_VERSION_PATCH 2)
 set(chromaprint_VERSION "${chromaprint_VERSION_MAJOR}.${chromaprint_VERSION_MINOR}.${chromaprint_VERSION_PATCH}")
 
 set(PROJECT_VERSION "${chromaprint_VERSION}")
@@ -39,6 +39,10 @@
 if(CMAKE_COMPILER_IS_GNUCXX AND BUILD_SHARED_LIBS)
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
 	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
+endif()
+
+if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_BUILD_TYPE STREQUAL "Debug")
+	add_definitions(-D_GLIBCXX_DEBUG)
 endif()
 
 cmake_push_check_state(RESET)

=== debian/changelog ===
chromaprint (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 20:32:12 +0100

chromaprint (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Build with -Wl,--as-needed. (Closes: #849347)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Dec 2016 12:15:50 +0100

=== debian/control ===
Source: chromaprint
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Simon Chopin <chopin.simon@gmail.com>, Reinhard Tartler <siretart@tauware.de>
Build-Depends:
 cmake,
 debhelper (>= 10),
 libavcodec-dev,
 libavformat-dev,
 libswresample-dev,
 python-docutils (>= 0.6)
Standards-Version: 3.9.8
Section: libs
Homepage: https://acoustid.org/chromaprint
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/chromaprint.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/chromaprint.git

Package: libchromaprint-dev
Section: libdevel
Architecture: any
Depends:
 libchromaprint1 (= ${binary:Version}),
 ${misc:Depends}
Description: audio fingerprinting library - development files
 Chromaprint is a library for calculating audio fingerprints
 which are used by the Acoustid service. Its main purpose is to provide an
 accurate identifier for record tracks
 .
 This package includes development files needed to compile programs
 using libchromaprint.

Package: libchromaprint1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audio fingerprint library
 Chromaprint is a library for calculating audio fingerprints
 which are used by the Acoustid service. Its main purpose is to provide an
 accurate identifier for record tracks

Package: libchromaprint-tools
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audio fingerprinting library - tools
 Chromaprint is a library for calculating audio fingerprints
 which are used by the Acoustid service. Its main purpose is to provide an
 accurate identifier for record tracks
 .
 This package provides the fpcalc utility.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # export DH_VERBOSE=1
+
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 CONFIGURE_FLAGS  = -DBUILD_TOOLS=ON
 CONFIGURE_FLAGS += -DBUILD_SHARED_LIBS=ON

## chromaprint 1.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set(chromaprint_VERSION_MAJOR 1)
 set(chromaprint_VERSION_MINOR 4)
-set(chromaprint_VERSION_PATCH 2)
+set(chromaprint_VERSION_PATCH 3)
 set(chromaprint_VERSION "${chromaprint_VERSION_MAJOR}.${chromaprint_VERSION_MINOR}.${chromaprint_VERSION_PATCH}")
 
 set(PROJECT_VERSION "${chromaprint_VERSION}")

=== debian/changelog ===
chromaprint (1.4.3-3) unstable; urgency=medium

  [ Edward Betts ]
  * Correct github source URL.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Remove obsolete Pre-Depends.
    - Use Python 3 version of docutils.
  * debian/:
    - Apply upstream patch to fix tests on big endian platforms. (Closes:
      #889815)
    - Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Jan 2019 13:31:33 +0100

chromaprint (1.4.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Mark libchromaprint-dev as M-A: same.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 May 2018 14:38:49 +0200

chromaprint (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Only enable tests on little endian platforms for now.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 07 Feb 2018 13:09:30 +0100

chromaprint (1.4.2-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Dropped Simon Chopin from the Uploaders.
    Thanks to Tobias Frost on behalf of the MIA Team (Closes: #889767)

  [ Sebastian Ramacher ]
  * debian/control:
    - Add myself to Uploaders.
    - Bump Standards-Version.
    - Move to salsa.debian.org.
  * debian/:
    - Bump debhelper compat to 11.
    - Re-enable tests.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 07 Feb 2018 10:08:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: chromaprint
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Chopin <chopin.simon@gmail.com>, Reinhard Tartler <siretart@tauware.de>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Sebastian Ramacher <sramacher@debian.org>,
+ Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 12),
  libavcodec-dev,
  libavformat-dev,
+ libgtest-dev,
  libswresample-dev,
- python-docutils (>= 0.6)
-Standards-Version: 3.9.8
+ python3-docutils (>= 0.6)
+Standards-Version: 4.3.0
 Section: libs
 Homepage: https://acoustid.org/chromaprint
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/chromaprint.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/chromaprint.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/chromaprint.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/chromaprint
 
 Package: libchromaprint-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libchromaprint1 (= ${binary:Version}),
  ${misc:Depends}
@@ -32,7 +36,6 @@
 Package: libchromaprint1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,9 @@
 CONFIGURE_FLAGS += -DBUILD_SHARED_LIBS=ON
 CONFIGURE_FLAGS += -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
-# FIXME the tests currently can't run with a out-of-source build
-# TODO: patch the build system to build libgtest and fix the out-of-source
-# problem.
-#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-#CONFIGURE_FLAGS += -DBUILD_TESTS=ON
-#endif
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+CONFIGURE_FLAGS += -DBUILD_TESTS=ON
+endif
 
 %:
 	dh $@

## chromaprint 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,11 @@
-cmake_minimum_required(VERSION 2.8.12)
-
-if(POLICY CMP0042)
-	cmake_policy(SET CMP0042 NEW)
-endif()
-
-if(POLICY CMP0048)
-    cmake_policy(SET CMP0048 OLD)
-endif()
-
-project(chromaprint C CXX)
+cmake_minimum_required(VERSION 3.3)
 
 set(chromaprint_VERSION_MAJOR 1)
-set(chromaprint_VERSION_MINOR 4)
-set(chromaprint_VERSION_PATCH 3)
+set(chromaprint_VERSION_MINOR 5)
+set(chromaprint_VERSION_PATCH 0)
 set(chromaprint_VERSION "${chromaprint_VERSION_MAJOR}.${chromaprint_VERSION_MINOR}.${chromaprint_VERSION_PATCH}")
 
-set(PROJECT_VERSION "${chromaprint_VERSION}")
+project(chromaprint LANGUAGES C CXX VERSION "${chromaprint_VERSION}")
 
 set(chromaprint_SOVERSION 1)
 
@@ -31,14 +21,14 @@
 
 find_package(Threads)
 
-check_cxx_compiler_flag("-std=c++11" COMPILER_SUPPORTS_CXX11)
-if(COMPILER_SUPPORTS_CXX11)
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-endif()
-
-if(CMAKE_COMPILER_IS_GNUCXX AND BUILD_SHARED_LIBS)
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden")
-	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
+option(BUILD_SHARED_LIBS "Build shared libraries" ON)
+
+set(CMAKE_CXX_STANDARD 11)
+
+if(BUILD_SHARED_LIBS)
+	set(CMAKE_C_VISIBILITY_PRESET hidden)
+	set(CMAKE_CXX_VISIBILITY_PRESET hidden)
+	set(CMAKE_VISIBILITY_INLINES_HIDDEN ON)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX AND CMAKE_BUILD_TYPE STREQUAL "Debug")
@@ -70,7 +60,6 @@
 	set(FRAMEWORK_INSTALL_DIR "/Library/Frameworks" CACHE STRING "Directory to install frameworks to")
 endif()
 
-option(BUILD_SHARED_LIBS "Build shared libraries" ON)
 option(BUILD_TOOLS "Build command line tools" OFF)
 option(BUILD_TESTS "Build test suite" OFF)

=== src/cmd/CMakeLists.txt ===
find_package(FFmpeg REQUIRED)

include_directories(
	${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}
	${FFMPEG_LIBAVCODEC_INCLUDE_DIRS}
	${FFMPEG_LIBAVUTIL_INCLUDE_DIRS}
	${AUDIO_PROCESSOR_INCLUDE_DIRS}
)

set(fpcalc_LIBS
	chromaprint
	${FFMPEG_LIBAVFORMAT_LIBRARIES}
	${FFMPEG_LIBAVCODEC_LIBRARIES}
	${FFMPEG_LIBAVUTIL_LIBRARIES}
	${AUDIO_PROCESSOR_LIBRARIES}
	${CMAKE_THREAD_LIBS_INIT}
)

set(fpcalc_LINK_FLAGS)

if(APPLE)
	set(fpcalc_LIBS ${fpcalc_LIBS} -lz)
	set(fpcalc_LINK_FLAGS "${fpcalc_LINK_FLAGS} -sectcreate __TEXT __info_plist ${CMAKE_CURRENT_BINARY_DIR}/fpcalc.Info.plist")
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/fpcalc.Info.plist.in ${CMAKE_CURRENT_BINARY_DIR}/fpcalc.Info.plist)
endif()

if(WIN32)
	set(fpcalc_LIBS ${fpcalc_LIBS} bcrypt)
endif()

add_library(fpcalc_libs INTERFACE)
target_link_libraries(fpcalc_libs INTERFACE ${fpcalc_LIBS})

add_executable(fpcalc fpcalc.cpp)
target_link_libraries(fpcalc PRIVATE fpcalc_libs)
if(fpcalc_LINK_FLAGS)
	set_target_properties(fpcalc PROPERTIES LINK_FLAGS ${fpcalc_LINK_FLAGS})
endif()

install(TARGETS fpcalc RUNTIME DESTINATION ${BIN_INSTALL_DIR})

=== vendor/kissfft/Makefile ===
KFVER=130

ifeq ($(shell uname -s),Darwin)
	SHARED := -Wl,-install_name,libkissfft.dylib -o libkissfft.dylib
else
	SHARED := -Wl,-soname,libkissfft.so -o libkissfft.so
endif

all:
	gcc -Wall -fPIC -c *.c -Dkiss_fft_scalar=float -o kiss_fft.o
	ar crus libkissfft.a kiss_fft.o
	gcc -shared $(SHARED) kiss_fft.o

install: all
	cp libkissfft.so /usr/local/lib/

doc:
	@echo "Start by reading the README file.  If you want to build and test lots of stuff, do a 'make testall'"
	@echo "but be aware that 'make testall' has dependencies that the basic kissfft software does not."
	@echo "It is generally unneeded to run these tests yourself, unless you plan on changing the inner workings"
	@echo "of kissfft and would like to make use of its regression tests."

testall:
	# The simd and int32_t types may or may not work on your machine 
	make -C test DATATYPE=simd CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=int32_t CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=int16_t CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=float CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=double CFLAGADD="$(CFLAGADD)" test
	echo "all tests passed"

tarball: clean
	hg archive -r v$(KFVER) -t tgz kiss_fft$(KFVER).tar.gz 
	hg archive -r v$(KFVER) -t zip kiss_fft$(KFVER).zip

clean:
	cd test && make clean
	cd tools && make clean
	rm -f kiss_fft*.tar.gz *~ *.pyc kiss_fft*.zip 

asm: kiss_fft.s

kiss_fft.s: kiss_fft.c kiss_fft.h _kiss_fft_guts.h
	[ -e kiss_fft.s ] && mv kiss_fft.s kiss_fft.s~ || true
	gcc -S kiss_fft.c -O3 -mtune=native -ffast-math -fomit-frame-pointer -unroll-loops -dA -fverbose-asm 
	gcc -o kiss_fft_short.s -S kiss_fft.c -O3 -mtune=native -ffast-math -fomit-frame-pointer -dA -fverbose-asm -DFIXED_POINT
	[ -e kiss_fft.s~ ] && diff kiss_fft.s~ kiss_fft.s || true

=== debian/changelog ===
chromaprint (1.5.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate Build-Depends: libgtest-dev <!nocheck> (Closes: #981505)

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Use execture_before instead of override

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Jan 2021 23:02:53 +0100

chromaprint (1.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Set upstream metadata fields: Bug-Submit.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump dh compat to 13
    - Set RRR: no
  * debian/rules: Remove unnecessary as-needed flags
  * debian/patches: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 May 2020 23:16:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
  cmake,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libavcodec-dev,
  libavformat-dev,
- libgtest-dev,
+ libgtest-dev <!nocheck>,
  libswresample-dev,
  python3-docutils (>= 0.6)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://acoustid.org/chromaprint
 Vcs-Git: https://salsa.debian.org/multimedia-team/chromaprint.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/chromaprint
+Rules-Requires-Root: no
 
 Package: libchromaprint-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # export DH_VERBOSE=1
-
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 CONFIGURE_FLAGS  = -DBUILD_TOOLS=ON
 CONFIGURE_FLAGS += -DBUILD_SHARED_LIBS=ON
@@ -18,9 +16,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
 
-override_dh_installman:
+execute_before_dh_installman:
 	rst2man debian/fpcalc.rst > debian/fpcalc.1
-	dh_installman
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.txt

## chromaprint 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(chromaprint_VERSION_MAJOR 1)
 set(chromaprint_VERSION_MINOR 5)
-set(chromaprint_VERSION_PATCH 0)
+set(chromaprint_VERSION_PATCH 1)
 set(chromaprint_VERSION "${chromaprint_VERSION_MAJOR}.${chromaprint_VERSION_MINOR}.${chromaprint_VERSION_PATCH}")
 
 project(chromaprint LANGUAGES C CXX VERSION "${chromaprint_VERSION}")
@@ -17,6 +17,7 @@
 
 include(CMakePushCheckState)
 include(CheckFunctionExists)
+include(CheckSymbolExists)
 include(CheckCXXCompilerFlag)
 
 find_package(Threads)
@@ -37,8 +38,8 @@
 
 cmake_push_check_state(RESET)
 set(CMAKE_REQUIRED_LIBRARIES -lm)
-check_function_exists(lrintf HAVE_LRINTF)
-check_function_exists(round HAVE_ROUND)
+check_symbol_exists(lrintf math.h HAVE_LRINTF)
+check_symbol_exists(round math.h HAVE_ROUND)
 cmake_pop_check_state()
 
 add_definitions(
@@ -61,7 +62,7 @@
 endif()
 
 option(BUILD_TOOLS "Build command line tools" OFF)
-option(BUILD_TESTS "Build test suite" OFF)
+option(BUILD_TESTS "Build test suite" ON)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
@@ -191,7 +192,10 @@
 
 if(NOT BUILD_FRAMEWORK)
 	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libchromaprint.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libchromaprint.pc)
-	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libchromaprint.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
+	install(
+        FILES ${CMAKE_CURRENT_BINARY_DIR}/libchromaprint.pc
+        DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
+        COMPONENT chromaprint)
 endif()
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,12 +35,10 @@
 	set(chromaprint_SOURCES fft_lib_avfft.cpp ${chromaprint_SOURCES})
 	set(chromaprint_LINK_LIBS
 		${FFMPEG_LIBAVCODEC_LIBRARIES}
-		${FFMPEG_LIBAVFORMAT_LIBRARIES}
 		${FFMPEG_LIBAVUTIL_LIBRARIES}
 	)
 	include_directories(
 		${FFMPEG_LIBAVCODEC_INCLUDE_DIRS}
-		${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}
 		${FFMPEG_LIBAVUTIL_INCLUDE_DIRS}
 	)
 endif(USE_AVFFT)
@@ -67,9 +65,6 @@
 	include_directories(${KISSFFT_INCLUDE_DIRS})
 endif()
 
-set(chromaprint_LINK_LIBS ${chromaprint_LINK_LIBS} ${AUDIO_PROCESSOR_LIBRARIES})
-include_directories(${AUDIO_PROCESSOR_INCLUDE_DIRS})
-
 add_library(chromaprint_objs OBJECT ${chromaprint_SOURCES})
 if(BUILD_SHARED_LIBS)
 	set_target_properties(chromaprint_objs PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
@@ -93,6 +88,7 @@
 	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
 	ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
 	PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR}
+    COMPONENT chromaprint
 )
 
 if(BUILD_TOOLS)

=== tests/CMakeLists.txt ===
find_package(GTest REQUIRED)
find_package(Threads REQUIRED)

add_library(gtest STATIC ${GTEST_SOURCES})
target_include_directories(gtest INTERFACE ${GTEST_INCLUDE_DIRS})
target_include_directories(gtest PRIVATE ${GTEST_INCLUDE_DIRS} ${GTEST_SOURCE_DIR})
target_link_libraries(gtest Threads::Threads)

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}
)

set(SRCS
	main.cpp
	test_api.cpp
	test_utils.cpp
	test_quantizer.cpp
	test_filter.cpp
	test_filter_utils.cpp
	test_audio_processor.cpp
	test_simhash.cpp
	test_chromaprint.cpp
	test_chroma.cpp
	test_chroma_filter.cpp
	test_chroma_resampler.cpp
	test_fingerprint_compressor.cpp
	test_fingerprint_decompressor.cpp
	test_fingerprint_matcher.cpp
	test_silence_remover.cpp
	test_moving_average.cpp
	test_utils_gradient.cpp
	test_utils_gaussian_filter.cpp
	../src/fft_test.cpp
	../src/audio/audio_slicer_test.cpp
	../src/utils/base64_test.cpp
	../src/utils/rolling_integral_image_test.cpp
)

if(BUILD_TOOLS)
	set(SRCS ${SRCS} ../src/audio/ffmpeg_audio_reader_test.cpp)
	link_libraries(fpcalc_libs)
endif()

add_executable(all_tests ${SRCS} $<TARGET_OBJECTS:chromaprint_objs>)
target_link_libraries(all_tests PRIVATE chromaprint gtest)

add_custom_target(check ${CMAKE_CURRENT_BINARY_DIR}/all_tests $ENV{GTEST_FLAGS} DEPENDS all_tests)

enable_testing(true)
add_test(ChromaprintTests all_tests)

=== src/cmd/CMakeLists.txt ===
--- 
+++ 
@@ -37,4 +37,7 @@
 	set_target_properties(fpcalc PROPERTIES LINK_FLAGS ${fpcalc_LINK_FLAGS})
 endif()
 
-install(TARGETS fpcalc RUNTIME DESTINATION ${BIN_INSTALL_DIR})
+install(
+    TARGETS fpcalc
+    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+    COMPONENT fpcalc)

=== src/3rdparty/kissfft/Makefile ===
KFVER=131

ifeq ($(shell uname -s),Darwin)
	SHARED := -Wl,-install_name,libkissfft.dylib -o libkissfft.dylib
else
	SHARED := -Wl,-soname,libkissfft.so -o libkissfft.so
endif

all:
	gcc -Wall -fPIC -c *.c -Dkiss_fft_scalar=float -o kiss_fft.o
	ar crus libkissfft.a kiss_fft.o
	gcc -shared $(SHARED) kiss_fft.o

install: all
	cp libkissfft.so /usr/local/lib/

doc:
	@echo "Start by reading the README file.  If you want to build and test lots of stuff, do a 'make testall'"
	@echo "but be aware that 'make testall' has dependencies that the basic kissfft software does not."
	@echo "It is generally unneeded to run these tests yourself, unless you plan on changing the inner workings"
	@echo "of kissfft and would like to make use of its regression tests."

testall:
	# The simd and int32_t types may or may not work on your machine 
	make -C test testcpp && test/testcpp
	make -C test DATATYPE=simd CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=int32_t CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=int16_t CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=float CFLAGADD="$(CFLAGADD)" test
	make -C test DATATYPE=double CFLAGADD="$(CFLAGADD)" test
	echo "all tests passed"

tarball: clean
	git archive --prefix=kissfft/ -o kissfft$(KFVER).tar.gz v$(KFVER)
	git archive --prefix=kissfft/ -o kissfft$(KFVER).zip v$(KFVER)

clean:
	cd test && make clean
	cd tools && make clean
	rm -f kiss_fft*.tar.gz *~ *.pyc kiss_fft*.zip 

asm: kiss_fft.s

kiss_fft.s: kiss_fft.c kiss_fft.h _kiss_fft_guts.h
	[ -e kiss_fft.s ] && mv kiss_fft.s kiss_fft.s~ || true
	gcc -S kiss_fft.c -O3 -mtune=native -ffast-math -fomit-frame-pointer -unroll-loops -dA -fverbose-asm 
	gcc -o kiss_fft_short.s -S kiss_fft.c -O3 -mtune=native -ffast-math -fomit-frame-pointer -dA -fverbose-asm -DFIXED_POINT
	[ -e kiss_fft.s~ ] && diff kiss_fft.s~ kiss_fft.s || true

=== src/3rdparty/kissfft/test/Makefile ===

WARNINGS=-W -Wall -Wstrict-prototypes -Wmissing-prototypes -Waggregate-return \
    -Wcast-align -Wcast-qual -Wnested-externs -Wshadow -Wbad-function-cast \
    -Wwrite-strings

CFLAGS=-O3 -I.. -I../tools $(WARNINGS)
CFLAGS+=-ffast-math -fomit-frame-pointer 
#CFLAGS+=-funroll-loops
#CFLAGS+=-march=prescott 
#CFLAGS+= -mtune=native 
# TIP: try adding -openmp or -fopenmp  to enable OPENMP directives and use of multiple cores
#CFLAGS+=-fopenmp
CFLAGS+= $(CFLAGADD)


ifeq "$(NFFT)" ""
 NFFT=1800
endif
ifeq "$(NUMFFTS)" ""
 NUMFFTS=10000
endif

ifeq "$(DATATYPE)" ""
 DATATYPE=float
endif

BENCHKISS=bm_kiss_$(DATATYPE)
BENCHFFTW=bm_fftw_$(DATATYPE)
SELFTEST=st_$(DATATYPE)
TESTREAL=tr_$(DATATYPE)
TESTKFC=tkfc_$(DATATYPE)
FASTFILTREAL=ffr_$(DATATYPE)
SELFTESTSRC=twotonetest.c


TYPEFLAGS=-Dkiss_fft_scalar=$(DATATYPE)

ifeq  "$(DATATYPE)" "int16_t" 
 TYPEFLAGS=-DFIXED_POINT=16
endif

ifeq  "$(DATATYPE)" "int32_t"
 TYPEFLAGS=-DFIXED_POINT=32 
endif

ifeq  "$(DATATYPE)" "simd"
 TYPEFLAGS=-DUSE_SIMD=1 -msse
endif


ifeq  "$(DATATYPE)" "float"
 # fftw needs to be built with --enable-float to build this lib
 FFTWLIB=-lfftw3f
else
 FFTWLIB=-lfftw3
endif

FFTWLIBDIR=-L/usr/local/lib/

SRCFILES=../kiss_fft.c ../tools/kiss_fftnd.c ../tools/kiss_fftr.c pstats.c ../tools/kfc.c ../tools/kiss_fftndr.c

all: tools $(BENCHKISS) $(SELFTEST) $(BENCHFFTW) $(TESTREAL) $(TESTKFC)

tools:
	cd ../tools && make all


$(SELFTEST): $(SELFTESTSRC) $(SRCFILES)
	$(CC) -o $@ $(CFLAGS) $(TYPEFLAGS) $+ -lm 

$(TESTKFC): $(SRCFILES) 
	$(CC) -o $@ $(CFLAGS)  -DKFC_TEST $(TYPEFLAGS) $+ -lm
	
$(TESTREAL): test_real.c $(SRCFILES)
	$(CC) -o $@ $(CFLAGS) $(TYPEFLAGS) $+ -lm

$(BENCHKISS): benchkiss.c $(SRCFILES)
	$(CC) -o $@ $(CFLAGS) $(TYPEFLAGS)  $+ -lm

$(BENCHFFTW): benchfftw.c pstats.c
	@echo "======attempting to build FFTW benchmark"
	@$(CC) -o $@ $(CFLAGS) -DDATATYPE$(DATATYPE) $+ $(FFTWLIB) $(FFTWLIBDIR) -lm || echo "FFTW not available for comparison"

test: all
	@./$(TESTKFC)
	@echo "======1d & 2-d complex fft self test (type= $(DATATYPE) )"
	@./$(SELFTEST)
	@echo "======real FFT (type= $(DATATYPE) )"
	@./$(TESTREAL)
	@echo "======timing test (type=$(DATATYPE))"
	@./$(BENCHKISS) -x $(NUMFFTS) -n $(NFFT) 
	@[ -x ./$(BENCHFFTW) ] && ./$(BENCHFFTW) -x $(NUMFFTS) -n $(NFFT) ||true
	@echo "======higher dimensions type=$(DATATYPE))"
	@./testkiss.py

CXXFLAGS=-O3 -ffast-math -fomit-frame-pointer  -I.. -I../tools -W -Wall -march=native -mtune=native
testcpp: testcpp.cc ../kissfft.hh
	$(CXX) -o $@ $(CXXFLAGS) testcpp.cc -lm

clean:
	rm -f *~ bm_* st_* tr_* kf_* tkfc_* ff_* ffr_* *.pyc *.pyo *.dat testcpp

=== debian/changelog ===
chromaprint (1.5.1-7) unstable; urgency=medium

  * debian/patches: Pick all relevant upstream changes (Closes: #1091825)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Jan 2025 11:01:58 +0100

chromaprint (1.5.1-6) unstable; urgency=medium

  * debian/patches: Fix FTBFS with ffmpeg 7.0 (Closes: #1072404)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Aug 2024 23:40:41 +0200

chromaprint (1.5.1-5) unstable; urgency=medium

  * debian/rules: Use internal kissfft library while ffmpeg-based FFT is
    broken (Closes: #1064565)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Feb 2024 23:44:36 +0100

chromaprint (1.5.1-4) unstable; urgency=medium

  [ Diederik de Haas ]
  * d/symbols: Set Build-Depends-Package field for libchromaprint1
  * d/patches: Add DEP-3 Bug field to forwarded issue
  * d/patches: Replace ffmpeg 5 patches with upstream's

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Jul 2023 09:26:55 +0200

chromaprint (1.5.1-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/patches: Fix build with googletest 1.13 (Closes: #1040998)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 17 Jul 2023 23:24:39 +0200

chromaprint (1.5.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * debian/patches: Apply fix for ffmpeg 5.0 (Closes: #1004785)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Feb 2022 23:02:01 +0100

chromaprint (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * debian/copyright: Update for 1.5.1
  * debian/control: Bump Standards-Version
  * debian/rules: Prefer gtest from libgtest-dev
  * debian/libchromaprint1.symbols: Relax dependencies for template
    instantiations

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Jan 2022 18:45:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  libavformat-dev,
  libgtest-dev <!nocheck>,
  libswresample-dev,
- python3-docutils (>= 0.6)
-Standards-Version: 4.5.1
+ python3-docutils
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://acoustid.org/chromaprint
 Vcs-Git: https://salsa.debian.org/multimedia-team/chromaprint.git

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,11 @@
 CONFIGURE_FLAGS  = -DBUILD_TOOLS=ON
 CONFIGURE_FLAGS += -DBUILD_SHARED_LIBS=ON
 CONFIGURE_FLAGS += -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
+CONFIGURE_FLAGS += -DFFT_LIB=kissfft
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 CONFIGURE_FLAGS += -DBUILD_TESTS=ON
+CONFIGURE_FLAGS += -DGTEST_ROOT=/usr/src/googletest/googletest/
 endif
 
 %:
